%define module	selenium

Summary:	Python bindings for Selenium
Name:		python-%{module}
Version:	2.52.0
Release:	%mkrel 1
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
Patch1:		selenium-use-without-bundled-libs.patch
License:	Apache License
Group:		Development/Python
Url:		http://pypi.python.org/pypi/selenium
BuildArch:	noarch
Requires:	python-rdflib >= 3.1.0
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools

%description
Selenium Python Client Driver is a Python language binding for
Selenium Remote Control (version 1.0 and 2.0).

Currently the remote protocol, Firefox and Chrome for Selenium 2.0 are
supported, as well as the Selenium 1.0 bindings.

%package -n python3-%{module}
Summary:	Python 3 bindings for Selenium
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Selenium Python 3 Client Driver is a Python 3 language binding for
Selenium Remote Control (version 1.0 and 2.0).

%prep
%setup -q -n %{module}-%{version}
%patch1 -p1
cp -a . %{py3dir} 

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install

rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{python3_sitelib}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so
popd

%py2_install
rm -f %{buildroot}%{python_sitelib}/selenium/webdriver/firefox/amd64/x_ignore_nofocus.so
rm -f %{buildroot}%{python_sitelib}/selenium/webdriver/firefox/x86/x_ignore_nofocus.so

%files
%doc py/README.rst
%{python2_sitelib}/*

%files -n python3-%{module}
%doc py/README.rst
%{python3_sitelib}/*


%changelog
* Tue Feb 16 2016 philippem <philippem> 2.52.0-1.mga6
+ Revision: 962622
- update to 2.52.0

* Sun Nov 01 2015 philippem <philippem> 2.48.0-1.mga6
+ Revision: 897175
- update to 2.48.0

* Sat Oct 10 2015 tv <tv> 2.42.1-5.mga6
+ Revision: 889301
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.42.1-4.mga5
+ Revision: 750680
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.42.1-3.mga5
+ Revision: 729747
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.42.1-2.mga5
+ Revision: 688322
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 philippem <philippem> 2.42.1-1.mga5
+ Revision: 641813
- update to 2.42.1, now noarch

* Sat May 31 2014 pterjan <pterjan> 2.40.0-2.mga5
+ Revision: 629004
- Rebuild for new Python

* Fri Mar 14 2014 philippem <philippem> 2.40.0-1.mga5
+ Revision: 603855
- update to 2.40

* Tue Oct 22 2013 umeabot <umeabot> 2.35.0-3.mga4
+ Revision: 544243
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.35.0-2.mga4
+ Revision: 499345
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 16 2013 philippem <philippem> 2.35.0-1.mga4
+ Revision: 466957
- update to 2.35.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.28.0-2.mga3
+ Revision: 379483
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 philippem <philippem> 2.28.0-1.mga3
+ Revision: 334925
- Update to 2.28.0

* Sun Dec 04 2011 dmorgan <dmorgan> 2.14.0-4.mga2
+ Revision: 176606
+ rebuild (emptylog)

* Sat Dec 03 2011 fwang <fwang> 2.14.0-3.mga2
+ Revision: 175408
- finally kill wrong arch-dependent files

* Sat Dec 03 2011 fwang <fwang> 2.14.0-2.mga2
+ Revision: 175333
- should not be noarch pacakage

* Wed Nov 30 2011 lebedov <lebedov> 2.14.0-1.mga2
+ Revision: 174430
- Update to 2.14.0.

* Sun Oct 30 2011 lebedov <lebedov> 2.11.1-1.mga2
+ Revision: 159910
- Update to 2.11.1.

* Thu Oct 06 2011 lebedov <lebedov> 2.8.1-1.mga2
+ Revision: 152494
- Update to 2.8.1.

* Mon Sep 26 2011 lebedov <lebedov> 2.7.0-1.mga2
+ Revision: 148818
- Update to 2.7.0.

* Tue Sep 20 2011 lebedov <lebedov> 2.6.0-1.mga2
+ Revision: 146171
- imported package python-selenium

